Subject: Re: [PATCH 3/6 v2] KVM: PPC: Book3E: Increase FPU laziness

From: Alexander Graf <[email-masked]>
Date: Thu, 03 Jul 2014 14:28:58 +0200

On 30.06.14 17:34, Mihai Caraman wrote:
> Increase FPU laziness by calling kvmppc_load_guest_fp() just before
> returning to guest instead of each sched in. Without this improvement
> an interrupt may also claim floting point corrupting guest state.

How do you handle context switching with this patch applied? During most 
of the guest's lifetime we never exit kvmppc_vcpu_run(), so when the 
guest gets switched out all FPU state gets lost?

Alex